Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

oids.h
Go to the documentation of this file.
1 /*
2 * OID Registry
3 * (C) 1999-2007 Jack Lloyd
4 *
5 * Botan is released under the Simplified BSD License (see license.txt)
6 */
7
8 #ifndef BOTAN_OIDS_H__
9 #define BOTAN_OIDS_H__
10
11 #include <botan/asn1_oid.h>
12
13 namespace Botan {
14
15 namespace OIDS {
16
17 /**
18 * Resolve an OID
19 * @param oid the OID to look up
20 * @return name associated with this OID
21 */
22 BOTAN_DLL std::string lookup(const OID& oid);
23
24 /**
25 * Find the OID to a name. The lookup will be performed in the
26 * general OID section of the configuration.
27 * @param name the name to resolve
28 * @return OID associated with the specified name
29 */
30 BOTAN_DLL OID lookup(const std::string& name);
31
32 /**
33 * See if an OID exists in the internal table.
34 * @param oid the oid to check for
35 * @return true if the oid is registered
36 */
37 inline bool have_oid(const std::string& oid)
38 {
39 return (lookup(oid).empty() == false);
40 }
41
42 }
43
44 }
45
46 #endif
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:18
Botan
Definition: alg_id.cpp:13
Botan::OIDS::have_oid
bool have_oid(const std::string &oid)
Definition: oids.h:37